%{?nodejs_find_provides_and_requires}

%global packagename cookies
%global enable_tests 0
# tests disabled due to missing dependencies on the npm(restify) module

Name:		nodejs-cookies
Version:	0.5.1
Release:	1%{?dist}
Summary:	Cookies, optionally signed using Keygrip

License:	MIT
URL:		https://github.com/pillarjs/cookies
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(keygrip)
BuildRequires:	npm(restify)
%endif

Requires:	nodejs

%description
Cookies, optionally signed using Keygrip.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 0.5.1-1
- Initial packaging
